Performance Manager Get Perf Counter

Performance Manager Get Perf Counter
A list of all supported performance counters in the system.

A list of all supported performance counters in the system.

Required privileges: System.View

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/PerformanceManager/{moId}/perfCounter
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case PerformanceManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "key": 0,
        "nameInfo": {
            "_typeName": "string",
            "label": "string",
            "summary": "string",
            "key": "string"
        },
        "groupInfo": {
            "_typeName": "string",
            "label": "string",
            "summary": "string",
            "key": "string"
        },
        "unitInfo": {
            "_typeName": "string",
            "label": "string",
            "summary": "string",
            "key": "string"
        },
        "rollupType": "string",
        "statsType": "string",
        "level": 0,
        "perDeviceLevel": 0,
        "associatedCounterId": [
            0
        ]
    }
]
array of object
Optional

This data object type contains metadata for a performance counter.

See PerformanceManager for definitions of available counters.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/PerformanceManager/{moId}/perfCounter